import { type Lockfile } from '@pnpm/lockfile-types';
import { type DepPath, type PackageManifest, type ProjectId } from '@pnpm/types';
export * from '@pnpm/lockfile-types';
type DependenciesGraph = Record<DepPath, {
    optional?: boolean;
}>;
export declare function pruneSharedLockfile(lockfile: Lockfile, opts?: {
    dependenciesGraph?: DependenciesGraph;
    warn?: (msg: string) => void;
}): Lockfile;
export declare function pruneLockfile(lockfile: Lockfile, pkg: PackageManifest, importerId: ProjectId, opts: {
    warn?: (msg: string) => void;
    dependenciesGraph?: DependenciesGraph;
}): Lockfile;
